#craft weather controller
execute as @e[type=item,nbt={Item:{id:"minecraft:obsidian",Count:2b},OnGround:true}] at @s store success entity @s Age int 6000 store success entity @e[type=item,nbt={Item:{id:"minecraft:smooth_stone",Count:4b},OnGround:true},distance=..0.5,limit=1] Age int 6000 store success entity @e[type=item,nbt={Item:{id:"minecraft:redstone_block",Count:2b},OnGround:true},distance=..0.5,limit=1] Age int 6000 store success entity @e[type=item,nbt={Item:{id:"minecraft:lightning_rod",Count:1b},OnGround:true},distance=..0.5,limit=1] Age int 6000 run function weather_controller:summon/weather_controller

#weather controller
execute as @e[tag=weather_controller] unless entity @s[tag=weather_controller_on] run item replace entity @s armor.head with iron_ingot{weather_controller_item:1b,CustomModelData:2800}
execute as @e[tag=weather_controller_on] run item replace entity @s armor.head with iron_ingot{weather_controller_item:1b,CustomModelData:2801}

#clear @a iron ingot{custom}
clear @a iron_ingot{weather_controller_item:1b}

#use weather controller
execute if entity @s[nbt={SelectedItemSlot:8}] if entity @e[tag=weather_controller,distance=..3,limit=1] run title @s actionbar {"text": "Thunder","color": "blue","bold": true}
execute if entity @s[nbt={SelectedItemSlot:7}] if entity @e[tag=weather_controller,distance=..3,limit=1] run title @s actionbar {"text": "Rain","color": "blue","bold": true}
execute if entity @s[nbt={SelectedItemSlot:6}] if entity @e[tag=weather_controller,distance=..3,limit=1] run title @s actionbar {"text": "Clear","color": "blue","bold": true}

#sneaking
execute if entity @s[nbt={SelectedItemSlot:8},predicate=weather_controller:sneaking] if entity @e[tag=weather_controller,distance=..3,limit=1] unless score @s weather_changing_timer matches 1.. unless entity @p[limit=1,sort=nearest,distance=..3,scores={weather_changing_timer=1..}] run function weather_controller:weather/thunder
execute if entity @s[nbt={SelectedItemSlot:7},predicate=weather_controller:sneaking] if entity @e[tag=weather_controller,distance=..3,limit=1] unless score @s weather_changing_timer matches 1.. unless entity @p[limit=1,sort=nearest,distance=..3,scores={weather_changing_timer=1..}] run function weather_controller:weather/rain
execute if entity @s[nbt={SelectedItemSlot:6},predicate=weather_controller:sneaking] if entity @e[tag=weather_controller,distance=..3,limit=1] unless score @s weather_changing_timer matches 1.. unless entity @p[limit=1,sort=nearest,distance=..3,scores={weather_changing_timer=1..}] run function weather_controller:weather/clear

#timer
execute if entity @s[scores={weather_changing_timer=70..},tag=weather_thunder] run weather thunder
execute if entity @s[scores={weather_changing_timer=70..},tag=weather_rain] run weather rain
execute if entity @s[scores={weather_changing_timer=70..},tag=weather_clear] run weather clear
execute if entity @s[scores={weather_changing_timer=99..}] run tag @s remove weather_thunder
execute if entity @s[scores={weather_changing_timer=99..}] run tag @s remove weather_rain
execute if entity @s[scores={weather_changing_timer=99..}] run tag @s remove weather_clear

execute if entity @s[scores={weather_changing_timer=99..}] run tag @e[tag=weather_controller_on,distance=..3,limit=1,sort=nearest] remove weather_controller_on
execute if entity @s[scores={weather_changing_timer=1..}] run scoreboard players add @s weather_changing_timer 1
execute if entity @s[scores={weather_changing_timer=100..}] run scoreboard players reset @s weather_changing_timer
execute if entity @s[scores={weather_changing_timer=1..}] unless entity @e[tag=weather_controller_on,limit=1,distance=..2,sort=nearest] run tp @s @e[tag=weather_controller_on,limit=1,sort=nearest,distance=..3]
execute if entity @s[scores={weather_changing_timer=1..}] run effect give @s slowness 1 255 true
execute if entity @s[scores={weather_changing_timer=1..}] unless block ~ ~-1 ~ slime_block run effect give @s jump_boost 1 148 true
execute if entity @s[scores={weather_changing_timer=1..}] if block ~ ~-1 ~ slime_block run effect clear @s jump_boost
execute if entity @s[scores={weather_changing_timer=1..}] at @e[tag=weather_controller_on] run particle dust 0.000 0.533 1.000 1 ~ ~1 ~ 0 50 0 1 50 normal
execute if entity @s[scores={weather_changing_timer=1..}] at @e[tag=weather_controller_on] run particle dust 0.000 0.533 1.000 1 ~ ~1 ~ 0 40 0 1 40 normal
execute if entity @s[scores={weather_changing_timer=1..}] at @e[tag=weather_controller_on] run particle dust 0.000 0.533 1.000 1 ~ ~1 ~ 0 30 0 1 30 normal
execute if entity @s[scores={weather_changing_timer=1..}] at @e[tag=weather_controller_on] run particle dust 0.000 0.533 1.000 1 ~ ~1 ~ 0 20 0 1 20 normal

#destory weather controller
execute as @e[tag=weather_controller] at @s if entity @e[type=item,nbt={Item:{id:"minecraft:anvil"},OnGround:1b},distance=..1] run execute as @p[distance=..5,limit=1,sort=nearest] run function weather_controller:give/recipe_items
execute as @e[tag=weather_controller] at @s if entity @e[type=item,nbt={Item:{id:"minecraft:anvil"},OnGround:1b},distance=..1] run playsound block.anvil.fall player @a[distance=..10] ~ ~ ~ 1 2
execute as @e[tag=weather_controller] at @s if entity @e[type=item,nbt={Item:{id:"minecraft:anvil"},OnGround:1b},distance=..1] run particle block beacon ~ ~ ~ 1 1 1 0 100 normal
execute as @e[tag=weather_controller] at @s if entity @e[type=item,nbt={Item:{id:"minecraft:anvil"},OnGround:1b},distance=..1] run particle dust 0.000 0.533 1.000 1 ~ ~1 ~ 1 1 1 0 100 normal
execute as @e[tag=weather_controller] at @s if entity @e[type=item,nbt={Item:{id:"minecraft:anvil"},OnGround:1b},distance=..1] run particle flash ~ ~1 ~ 1 1 1 1 100 normal
execute as @e[tag=weather_controller] at @s if entity @e[type=item,nbt={Item:{id:"minecraft:anvil"},OnGround:1b},distance=..1] run kill @s